CREATE VIEW DM_MDL_PRM_COUNTY as
SELECT REPORT_DATE, COUNTY_ID as TARGET_ID, sum(CASE_COUNT) as CASE_COUNT, sum(DECEASED_COUNT) as DECEASED_COUNT
FROM SOR_FACT_CASE
GROUP BY REPORT_DATE, COUNTY_ID
ORDER BY REPORT_DATE asc;

CREATE VIEW DM_MDL_PRM_STATE as
SELECT REPORT_DATE, STATE_ID as TARGET_ID, sum(CASE_COUNT) as CASE_COUNT, sum(DECEASED_COUNT) as DECEASED_COUNT
FROM SOR_FACT_CASE cas
JOIN SOR_DIM_COUNTY cty
ON cas.county_id = cty.id
GROUP BY REPORT_DATE, STATE_ID
ORDER BY REPORT_DATE asc;

CREATE VIEW DM_MDL_PRM_COUNTRY as
SELECT REPORT_DATE, COUNTRY_ID as TARGET_ID, sum(CASE_COUNT) as CASE_COUNT, sum(DECEASED_COUNT) as DECEASED_COUNT
FROM SOR_FACT_CASE cas
JOIN SOR_DIM_COUNTY cty
ON cas.county_id = cty.id
JOIN SOR_DIM_STATE st
ON cty.state_id = st.id
GROUP BY REPORT_DATE, COUNTRY_ID
ORDER BY REPORT_DATE asc;